[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: How to build RPMs



Added `bash -x`. That looks like to me is tito is not properly tagging the release.

[centos origin]$ sudo make build-rpms
OS_ONLY_BUILD_PLATFORMS='linux/amd64' bash -x hack/build-rpm-release.sh
++ dirname hack/build-rpm-release.sh
+ source hack/lib/init.sh
++ set -o errexit
++ set -o nounset
++ set -o pipefail
+++ date +%s
++ OS_SCRIPT_START_TIME=1525455867
++ export OS_SCRIPT_START_TIME
++ readonly -f os::util::absolute_path
+++ dirname hack/lib/init.sh
++ init_source=hack/lib/../..
+++ os::util::absolute_path hack/lib/../..
+++ local relative_path=hack/lib/../..
+++ local absolute_path
+++ pushd hack/lib/../..
++++ pwd
+++ relative_path=/home/centos/origin
+++ [[ -h /home/centos/origin ]]
+++ absolute_path=/home/centos/origin
+++ popd
+++ echo /home/centos/origin
++ OS_ROOT=/home/centos/origin
++ export OS_ROOT
++ cd /home/centos/origin
+++ find /home/centos/origin/hack/lib -type f -name '*.sh' -not -path '*/hack/lib/init.sh'
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/build/archive.sh
+++ readonly -f os::build::archive::name
+++ readonly -f os::build::archive::zip
+++ readonly -f os::build::archive::tar
+++ readonly -f os::build::archive::internal::is_hardlink_supported
+++ readonly -f os::build::archive::extract_tar
+++ readonly -f os::build::archive::detect_local_release_tars
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/build/images.sh
+++ readonly -f os::build::image
+++ readonly -f os::build::image::internal::generic
+++ readonly -f os::build::image::internal::imagebuilder
+++ readonly -f os::build::image::internal::docker
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/build/release.sh
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/build/binaries.sh
+++ readonly -f os::build::binaries_from_targets
+++ readonly -f os::build::host_platform
+++ readonly -f os::build::host_platform_friendly
+++ readonly -f os::build::platform_arch
+++ readonly -f os::build::setup_env
+++ readonly -f os::build::build_static_binaries
+++ readonly -f os::build::build_binaries
+++ readonly -f os::build::generate_windows_versioninfo
+++ readonly -f os::build::export_targets
+++ readonly -f os::build::place_bins
+++ readonly -f os::build::release_sha
+++ readonly -f os::build::make_openshift_binary_symlinks
+++ readonly -f os::build::ldflag
+++ readonly -f os::build::ldflags
+++ readonly -f os::build::require_clean_tree
+++ readonly -f os::build::commit_range
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/build/constants.sh
+++ readonly OS_BUILD_ENV_GOLANG=1.8
+++ OS_BUILD_ENV_GOLANG=1.8
+++ readonly OS_BUILD_ENV_IMAGE=openshift/origin-release:golang-1.8
+++ OS_BUILD_ENV_IMAGE=openshift/origin-release:golang-1.8
+++ readonly OS_OUTPUT_BASEPATH=_output
+++ OS_OUTPUT_BASEPATH=_output
+++ readonly OS_BASE_OUTPUT=/home/centos/origin/_output
+++ OS_BASE_OUTPUT=/home/centos/origin/_output
+++ readonly OS_OUTPUT_SCRIPTPATH=/home/centos/origin/_output/scripts
+++ OS_OUTPUT_SCRIPTPATH=/home/centos/origin/_output/scripts
+++ readonly OS_OUTPUT_SUBPATH=_output/local
+++ OS_OUTPUT_SUBPATH=_output/local
+++ readonly OS_OUTPUT=/home/centos/origin/_output/local
+++ OS_OUTPUT=/home/centos/origin/_output/local
+++ readonly OS_OUTPUT_RELEASEPATH=/home/centos/origin/_output/local/releases
+++ OS_OUTPUT_RELEASEPATH=/home/centos/origin/_output/local/releases
+++ readonly OS_OUTPUT_RPMPATH=/home/centos/origin/_output/local/releases/rpms
+++ OS_OUTPUT_RPMPATH=/home/centos/origin/_output/local/releases/rpms
+++ readonly OS_OUTPUT_BINPATH=/home/centos/origin/_output/local/bin
+++ OS_OUTPUT_BINPATH=/home/centos/origin/_output/local/bin
+++ readonly OS_OUTPUT_PKGDIR=/home/centos/origin/_output/local/pkgdir
+++ OS_OUTPUT_PKGDIR=/home/centos/origin/_output/local/pkgdir
+++ readonly OS_GO_PACKAGE=github.com/openshift/origin
+++ OS_GO_PACKAGE=github.com/openshift/origin
+++ OS_SDN_COMPILE_TARGETS_LINUX=(pkg/network/sdn-cni-plugin vendor/github.com/containernetworking/cni/plugins/ipam/host-local vendor/github.com/containernetworking/cni/plugins/main/loopback)
+++ readonly OS_SDN_COMPILE_TARGETS_LINUX
+++ OS_IMAGE_COMPILE_TARGETS_LINUX=(cmd/dockerregistry cmd/gitserver vendor/k8s.io/kubernetes/cmd/hyperkube "${OS_SDN_COMPILE_TARGETS_LINUX[ ]}")
+++ readonly OS_IMAGE_COMPILE_TARGETS_LINUX
+++ OS_SCRATCH_IMAGE_COMPILE_TARGETS_LINUX=(images/pod examples/hello-openshift)
+++ readonly OS_SCRATCH_IMAGE_COMPILE_TARGETS_LINUX
+++ OS_IMAGE_COMPILE_BINARIES=("${OS_SCRATCH_IMAGE_COMPILE_TARGETS_LINUX[ ]##*/}" "${OS_IMAGE_COMPILE_TARGETS_LINUX[ ]##*/}")
+++ readonly OS_IMAGE_COMPILE_BINARIES
+++ OS_CROSS_COMPILE_TARGETS=(cmd/openshift cmd/oc cmd/kubefed cmd/template-service-broker)
+++ readonly OS_CROSS_COMPILE_TARGETS
+++ OS_CROSS_COMPILE_BINARIES=("${OS_CROSS_COMPILE_TARGETS[ ]##*/}")
+++ readonly OS_CROSS_COMPILE_BINARIES
+++ OS_TEST_TARGETS=(test/extended/extended.test)
+++ readonly OS_TEST_TARGETS
+++ OPENSHIFT_BINARY_SYMLINKS=(openshift-router openshift-deploy openshift-recycle openshift-sti-build openshift-docker-build openshift-git-clone openshift-manage-dockerfile openshift-extract-image-content origin osc oadm osadm kubectl kubernetes kubelet kube-proxy kube-apiserver kube-controller-manager kube-scheduler)
+++ readonly OPENSHIFT_BINARY_SYMLINKS
+++ OPENSHIFT_BINARY_COPY=(oadm kubelet kube-proxy kube-apiserver kube-controller-manager kube-scheduler)
+++ readonly OPENSHIFT_BINARY_COPY
+++ OC_BINARY_COPY=(kubectl)
+++ readonly OC_BINARY_COPY
+++ OS_BINARY_RELEASE_CLIENT_WINDOWS=(oc.exe README.md ./LICENSE)
+++ readonly OS_BINARY_RELEASE_CLIENT_WINDOWS
+++ OS_BINARY_RELEASE_CLIENT_MAC=(oc README.md ./LICENSE)
+++ readonly OS_BINARY_RELEASE_CLIENT_MAC
+++ OS_BINARY_RELEASE_CLIENT_LINUX=(./oc ./README.md ./LICENSE)
+++ readonly OS_BINARY_RELEASE_CLIENT_LINUX
+++ OS_BINARY_RELEASE_SERVER_LINUX=('./*')
+++ readonly OS_BINARY_RELEASE_SERVER_LINUX
+++ OS_BINARY_RELEASE_CLIENT_EXTRA=(${OS_ROOT}/README.md ${OS_ROOT}/LICENSE)
+++ readonly OS_BINARY_RELEASE_CLIENT_EXTRA
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/build/environment.sh
+++ readonly -f os::build::environment::create
+++ readonly -f os::build::environment::release::workingdir
+++ readonly -f os::build::environment::cleanup
+++ readonly -f os::build::environment::start
+++ readonly -f os::build::environment::withsource
+++ readonly -f os::build::environment::volume_name
+++ readonly -f os::build::environment::remove_volume
+++ readonly -f os::build::environment::run
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/build/rpm.sh
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/build/version.sh
+++ readonly -f os::build::version::get_vars
+++ readonly -f os::build::version::openshift_vars
+++ readonly -f os::build::version::etcd_vars
+++ readonly -f os::build::version::kubernetes_vars
+++ readonly -f os::build::version::save_vars
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/cleanup.sh
+++ readonly -f os::cleanup::all
+++ readonly -f os::cleanup::dump_etcd
+++ readonly -f os::cleanup::internal::dump_etcd_v3
+++ readonly -f os::cleanup::prune_etcd
+++ readonly -f os::cleanup::containers
+++ readonly -f os::cleanup::dump_container_logs
+++ readonly -f os::cleanup::internal::list_our_containers
+++ readonly -f os::cleanup::internal::list_k8s_containers
+++ readonly -f os::cleanup::internal::list_containers
+++ readonly -f os::cleanup::tmpdir
+++ readonly -f os::cleanup::dump_events
+++ readonly -f os::cleanup::find_cache_alterations
+++ readonly -f os::cleanup::dump_pprof_output
+++ readonly -f os::cleanup::truncate_large_logs
+++ readonly -f os::cleanup::processes
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/cmd.sh
+++ readonly -f os::cmd::expect_success
+++ readonly -f os::cmd::expect_failure
+++ readonly -f os::cmd::expect_success_and_text
+++ readonly -f os::cmd::expect_failure_and_text
+++ readonly -f os::cmd::expect_success_and_not_text
+++ readonly -f os::cmd::expect_failure_and_not_text
+++ readonly -f os::cmd::expect_code
+++ readonly -f os::cmd::expect_code_and_text
+++ readonly -f os::cmd::expect_code_and_not_text
+++ millisecond=1
+++ second=1000
+++ minute=60000
+++ readonly -f os::cmd::try_until_success
+++ readonly -f os::cmd::try_until_failure
+++ readonly -f os::cmd::try_until_text
+++ readonly -f os::cmd::try_until_text
+++ os_cmd_internal_tmpdir=/tmp/openshift
+++ os_cmd_internal_tmpout=/tmp/openshift/tmp_stdout.log
+++ os_cmd_internal_tmperr=/tmp/openshift/tmp_stderr.log
+++ readonly -f os::cmd::internal::expect_exit_code_run_grep
+++ readonly -f os::cmd::internal::init_tempdir
+++ readonly -f os::cmd::internal::describe_call
+++ readonly -f os::cmd::internal::determine_caller
+++ readonly -f os::cmd::internal::describe_expectation
+++ readonly -f os::cmd::internal::seconds_since_epoch
+++ readonly -f os::cmd::internal::run_collecting_output
+++ readonly -f os::cmd::internal::success_func
+++ readonly -f os::cmd::internal::failure_func
+++ readonly -f os::cmd::internal::specific_code_func
+++ readonly -f os::cmd::internal::get_results
+++ readonly -f os::cmd::internal::get_last_results
+++ readonly -f os::cmd::internal::mark_attempt
+++ readonly -f os::cmd::internal::compress_output
+++ readonly -f os::cmd::internal::print_results
+++ readonly -f os::cmd::internal::assemble_causes
+++ readonly -f os::cmd::internal::run_until_exit_code
+++ readonly -f os::cmd::internal::run_until_text
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/log/output.sh
+++ readonly -f os::log::info
+++ readonly -f os::log::warning
+++ readonly -f os::log::error
+++ readonly -f os::log::fatal
+++ readonly -f os::log::debug
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/log/stacktrace.sh
+++ readonly -f os::log::stacktrace::install
+++ readonly -f os::log::stacktrace::print
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/log/system.sh
+++ readonly -f os::log::system::install_cleanup
+++ readonly -f os::log::system::clean_up
+++ readonly -f os::log::system::internal::prune_datafile
+++ readonly -f os::log::system::internal::plot
+++ readonly -f os::log::system::start
+++ readonly -f os::log::system::internal::run
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/test/junit.sh
+++ readonly -f os::test::junit::declare_suite_start
+++ readonly -f os::test::junit::declare_suite_end
+++ readonly -f os::test::junit::declare_test_start
+++ readonly -f os::test::junit::declare_test_end
+++ readonly -f os::test::junit::check_test_counters
+++ readonly -f os::test::junit::reconcile_output
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/util/ensure.sh
+++ readonly -f os::util::ensure::system_binary_exists
+++ readonly -f os::util::ensure::built_binary_exists
+++ readonly -f os::util::ensure::gopath_binary_exists
+++ readonly -f os::util::ensure::iptables_privileges_exist
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/util/environment.sh
+++ readonly -f os::util::environment::use_sudo
+++ readonly -f os::util::environment::setup_time_vars
+++ readonly -f os::util::environment::setup_all_server_vars
+++ readonly -f os::util::environment::update_path_var
+++ readonly -f os::util::environment::setup_tmpdir_vars
+++ readonly -f os::util::environment::setup_kubelet_vars
+++ readonly -f os::util::environment::setup_etcd_vars
+++ readonly -f os::util::environment::setup_server_vars
+++ readonly -f os::util::environment::setup_images_vars
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/util/find.sh
+++ readonly -f os::util::find::system_binary
+++ readonly -f os::util::find::built_binary
+++ readonly -f os::util::find::gopath_binary
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/util/text.sh
+++ readonly -f os::text::reset
+++ readonly -f os::text::bold
+++ readonly -f os::text::red
+++ readonly -f os::text::green
+++ readonly -f os::text::blue
+++ readonly -f os::text::yellow
+++ readonly -f os::text::clear_last_line
+++ readonly -f os::text::internal::is_tty
+++ readonly -f os::text::print_bold
+++ readonly -f os::text::print_red
+++ readonly -f os::text::print_red_bold
+++ readonly -f os::text::print_green
+++ readonly -f os::text::print_green_bold
+++ readonly -f os::text::print_blue
+++ readonly -f os::text::print_blue_bold
+++ readonly -f os::text::print_yellow
+++ readonly -f os::text::print_yellow_bold
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/util/trap.sh
+++ readonly -f os::util::trap::init_err
+++ readonly -f os::util::trap::init_exit
+++ readonly -f os::util::trap::err_handler
+++ readonly -f os::util::trap::exit_handler
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/util/docs.sh
+++ readonly -f generate_manual_pages
+++ readonly -f generate_documentation
+++ readonly -f os::util::gen-docs
+++ readonly -f os::util::set-man-placeholder
+++ readonly -f os::util::set-docs-placeholder
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/util/golang.sh
+++ readonly -f os::golang::verify_go_version
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/util/misc.sh
+++ readonly -f os::util::describe_return_code
+++ readonly -f os::util::install_describe_return_code
+++ [[ -z '' ]]
++++ pwd
+++ OS_ORIGINAL_WD=/home/centos/origin
+++ readonly OS_ORIGINAL_WD
+++ export OS_ORIGINAL_WD
+++ readonly -f os::util::repository_relative_path
+++ readonly -f os::util::format_seconds
+++ readonly -f os::util::sed
+++ readonly -f os::util::base64decode
+++ readonly -f os::util::list_go_src_files
+++ readonly -f os::util::list_go_src_dirs
++ for library_file in '$( find "${OS_ROOT}/hack/lib" -type f -name '\''*.sh'\'' -not -path '\''*/hack/lib/init.sh'\'' )'
++ source /home/centos/origin/hack/lib/start.sh
+++ readonly -f os::start::configure_server
+++ readonly -f os::start::internal::create_master_certs
+++ readonly -f os::start::internal::configure_node
+++ readonly -f os::start::internal::configure_master
+++ readonly -f os::start::internal::patch_master_config
+++ readonly -f os::start::server
+++ readonly -f os::start::master
+++ readonly -f os::start::all_in_one
+++ readonly -f os::start::etcd
+++ readonly -f os::start::api_server
+++ readonly -f os::start::controllers
+++ readonly -f os::start::internal::start_node
+++ readonly -f os::start::internal::openshift_executable
+++ readonly -f os::start::internal::determine_hostnames
+++ readonly -f os::start::router
+++ readonly -f os::start::registry
++ unset library_files library_file init_source
++ os::log::stacktrace::install
++ set -o errtrace
++ export OS_USE_STACKTRACE=true
++ OS_USE_STACKTRACE=true
++ os::util::trap::init_err
++ trap -p ERR
++ grep -q os::util::trap::err_handler
++ trap 'os::util::trap::err_handler;' ERR
++ os::util::environment::update_path_var
++ local prefix
++ os::util::find::system_binary go
+++ os::build::host_platform
++++ go env GOHOSTOS
++++ go env GOHOSTARCH
+++ echo linux/amd64
++ prefix+=/home/centos/origin/_output/local/bin/linux/amd64:
++ [[ -n '' ]]
++ PATH=/home/centos/origin/_output/local/bin/linux/amd64:/sbin:/bin:/usr/sbin:/usr/bin
++ export PATH
++ [[ -z '' ]]
+++ basename hack/build-rpm-release.sh .sh
++ os::util::environment::setup_tmpdir_vars build-rpm-release
++ local sub_dir=build-rpm-release
++ BASETMPDIR=/tmp/openshift/build-rpm-release
++ export BASETMPDIR
++ VOLUME_DIR=/tmp/openshift/build-rpm-release/volumes
++ export VOLUME_DIR
++ BASEOUTDIR=/home/centos/origin/_output/scripts/build-rpm-release
++ export BASEOUTDIR
++ LOG_DIR=/home/centos/origin/_output/scripts/build-rpm-release/logs
++ export LOG_DIR
++ ARTIFACT_DIR=/home/centos/origin/_output/scripts/build-rpm-release/artifacts
++ export ARTIFACT_DIR
++ FAKE_HOME_DIR=/home/centos/origin/_output/scripts/build-rpm-release/openshift.local.home
++ export FAKE_HOME_DIR
++ mkdir -p /home/centos/origin/_output/scripts/build-rpm-release/logs /tmp/openshift/build-rpm-release/volumes /home/centos/origin/_output/scripts/build-rpm-release/artifacts /home/centos/origin/_output/scripts/build-rpm-release/openshift.local.home
++ export OS_TMP_ENV_SET=build-rpm-release
++ OS_TMP_ENV_SET=build-rpm-release
++ [[ -n '' ]]
+ trap cleanup EXIT
+ os::util::ensure::system_binary_exists tito
+ local binary=tito
+ os::util::find::system_binary tito
+ os::util::ensure::system_binary_exists createrepo
+ local binary=createrepo
+ os::util::find::system_binary createrepo
+ os::build::setup_env
+ os::util::ensure::system_binary_exists go
+ local binary=go
+ os::util::find::system_binary go
++ which sha256sum
+ [[ -z /bin/sha256sum ]]
+ [[ '' != \t\r\u\e ]]
+ os::golang::verify_go_version
+ os::util::ensure::system_binary_exists go
+ local binary=go
+ os::util::find::system_binary go
+ local go_version
+ go_version=($(go version))
++ go version
+ echo 1.8.3
+ awk -F. -v min=1.8 '{ exit $2 < min }'
+ export GO15VENDOREXPERIMENT=1
+ GO15VENDOREXPERIMENT=1
+ unset GOBIN
+ [[ -z '' ]]
+ export OS_OUTPUT_GOPATH=1
+ OS_OUTPUT_GOPATH=1
+ [[ -z 1 ]]
+ GOPATH=/home/centos/origin/_output/local/go
+ OS_TARGET_BIN=/home/centos/origin/_output/local/go/bin
+ local go_pkg_dir=/home/centos/origin/_output/local/go/src/github.com/openshift/origin
++ dirname /home/centos/origin/_output/local/go/src/github.com/openshift/origin
+ local go_pkg_basedir=/home/centos/origin/_output/local/go/src/github.com/openshift
+ mkdir -p /home/centos/origin/_output/local/go/src/github.com/openshift
+ rm -f /home/centos/origin/_output/local/go/src/github.com/openshift/origin
+ ln -s /home/centos/origin /home/centos/origin/_output/local/go/src/github.com/openshift/origin
+ cd /home/centos/origin/_output/local/go/src/github.com/openshift/origin
+ [[ -n '' ]]
+ export GOPATH
+ export OS_TARGET_BIN
+ [[ linux/amd64 == \l\i\n\u\x\/\a\m\d\6\4 ]]
+ make_redistributable=0
+ os::log::info 'Building Origin release RPMs with tito...'
+ local message
+++ date +%H:%M:%S%z
++ os::log::internal::prefix_lines '[INFO] [17:44:27+0000]' 'Building Origin release RPMs with tito...'
++ local 'prefix=[INFO] [17:44:27+0000]'
++ local 'content=Building Origin release RPMs with tito...'
++ local 'old_ifs=
'
++ IFS='
'
++ for line in '${content}'
++ echo '[INFO] [17:44:27+0000] Building Origin release RPMs with tito...'
++ IFS='
'
+ message='[INFO] [17:44:27+0000] Building Origin release RPMs with tito...'
+ os::log::internal::to_logfile '[INFO] [17:44:27+0000] Building Origin release RPMs with tito...'
+ [[ -n /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
+ [[ -d /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
+ echo '[INFO] [17:44:27+0000] Building Origin release RPMs with tito...'
+ echo '[INFO] [17:44:27+0000] Building Origin release RPMs with tito...'
[INFO] [17:44:27+0000] Building Origin release RPMs with tito...
+ os::build::rpm::get_nvra_vars
+ OS_RPM_NAME=origin
++ uname -i
+ OS_RPM_ARCHITECTURE=x86_64
+ os::build::version::get_vars
+ [[ -n '' ]]
+ os::build::version::openshift_vars
+ git=(git --work-tree "${OS_ROOT}")
+ local git
+ [[ -z '' ]]
++ git --work-tree /home/centos/origin log --merges --grep 'Merge version v.* of Service Catalog from https://github.com/openshift/service-catalog' --pretty=%s -1
+ summary_text='Merge version v0.1.2 of Service Catalog from https://github.com/openshift/service-catalog:v0.1.2+origin'
+ [[ Merge version v0.1.2 of Service Catalog from https://github.com/openshift/service-catalog:v0.1.2+origin =~ Merge[[:space:]]version[[:space:]](v.*)[[:space:]]of[[:space:]]Service[[:space:]]Catalog ]]
+ OS_GIT_CATALOG_VERSION=v0.1.2
++ git --work-tree /home/centos/origin status --porcelain cmd/service-catalog
+ git_status=
+ [[ -n '' ]]
+ [[ -n '' ]]
++ git --work-tree /home/centos/origin rev-parse --short 'HEAD^{commit}'
+ OS_GIT_COMMIT=ff58c5b
+ [[ -z '' ]]
++ git --work-tree /home/centos/origin status --porcelain
+ git_status=
+ [[ -z '' ]]
+ OS_GIT_TREE_STATE=clean
+ [[ -n '' ]]
++ git --work-tree /home/centos/origin describe --long --tags --abbrev=7 --match 'v[0-9]*' 'ff58c5b^{commit}'
+ OS_GIT_VERSION=v3.7.3-fix-0-gff58c5b
+ [[ v3.7.3-fix-0-gff58c5b =~ ^v([0-9]+)\.([0-9]+)\.([0-9]+)(\.[0-9]+)*([-].*)?$ ]]
+ OS_GIT_MAJOR=3
+ OS_GIT_MINOR=7
+ OS_GIT_PATCH=3
+ [[ -n -fix-0-gff58c5b ]]
+ OS_GIT_MINOR+=+
++ echo v3.7.3-fix-0-gff58c5b
++ sed 's/-\([0-9]\{1,\}\)-g\([0-9a-f]\{7,40\}\)$/\+\2-\1/'
+ OS_GIT_VERSION=v3.7.3-fix+ff58c5b-0
++ echo v3.7.3-fix+ff58c5b-0
++ sed 's/-0$//'
+ OS_GIT_VERSION=v3.7.3-fix+ff58c5b
+ [[ clean == \d\i\r\t\y ]]
+ os::build::version::kubernetes_vars
++ go run /home/centos/origin/tools/godepversion/godepversion.go /home/centos/origin/Godeps/Godeps.json k8s.io/kubernetes/pkg/api comment
+ KUBE_GIT_VERSION=v1.7.6-166-ga08f5eeb62
++ go run /home/centos/origin/tools/godepversion/godepversion.go /home/centos/origin/Godeps/Godeps.json k8s.io/kubernetes/pkg/api
+ KUBE_GIT_COMMIT=c84beff
++ echo v1.7.6-166-ga08f5eeb62
++ sed 's/-\([0-9]\{1,\}\)-g\([0-9a-f]\{7,40\}\)$/\+\2/'
+ KUBE_GIT_VERSION=v1.7.6+a08f5eeb62
+ [[ v1.7.6+a08f5eeb62 =~ ^v([0-9]+)\.([0-9]+)(\.[0-9]+)*([-].*)?$ ]]
+ os::build::version::etcd_vars
++ go run /home/centos/origin/tools/godepversion/godepversion.go /home/centos/origin/Godeps/Godeps.json github.com/coreos/etcd/etcdserver comment
+ ETCD_GIT_VERSION=v3.2.8
++ go run /home/centos/origin/tools/godepversion/godepversion.go /home/centos/origin/Godeps/Godeps.json github.com/coreos/etcd/etcdserver
+ ETCD_GIT_COMMIT=e211fb6
+ [[ v3.7.3-fix+ff58c5b =~ ^v([0-9](\.[0-9]+)*)(.*) ]]
+ OS_RPM_VERSION=3.7.3
+ metadata=-fix+ff58c5b
+ [[ - == \+ ]]
+ [[ - == \- ]]
+ [[ -fix+ff58c5b =~ ^-([^\+]+)\+([a-z0-9]{7,40})(-([0-9]+))?(-dirty)?$ ]]
+ pre_release=fix
+ build_sha=ff58c5b
+ build_num=0
+ OS_RPM_RELEASE=0.fix.0.ff58c5b
+ export OS_RPM_NAME OS_RPM_VERSION OS_RPM_RELEASE OS_RPM_ARCHITECTURE
+ tito tag --use-version=3.7.3 --use-release=0.fix.0.ff58c5b --no-auto-changelog --offline
Creating output directory: /tmp/tito
OS_GIT_MINOR::7+
OS_GIT_MAJOR::3
OS_GIT_VERSION::v3.7.3-fix+ff58c5b
OS_GIT_TREE_STATE::clean
OS_GIT_CATALOG_VERSION::v0.1.2
OS_GIT_COMMIT::ff58c5b
Tagging new version of origin: 0.0.1 -> 3.7.3-0.fix.0.ff58c5b

Created tag: v3.7.3
   View: git show HEAD
   Undo: tito tag -u
   Push: git push --follow-tags origin
+ tito_tmp_dir=/tmp/openshift/build-rpm-release/tito
+ mkdir -p /tmp/openshift/build-rpm-release/tito
+ tito build --offline --srpm '--rpmbuild-options=--define '\''dist .el7'\''' --output=/tmp/openshift/build-rpm-release/tito
Creating output directory: /tmp/openshift/build-rpm-release/tito
ERROR: Tag does not exist locally: [v3.7.3-0.fix.0.ff58c5b]
++ os::util::trap::err_handler
++ local -r return_code=1
++ local -r 'last_command=tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"'
++ set +o
++ grep -q '\-o errexit'
++ local -r errexit_set=true
++ [[ '' = \t\r\u\e ]]
++ [[ true = \t\r\u\e ]]
++ os::log::stacktrace::print 1 'tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"' true
++ local return_code=1
++ local 'last_command=tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"'
++ local errexit_set=true
++ [[ 1 = \0 ]]
++ [[ -z true ]]
+++ os::util::repository_relative_path '/home/centos/origin/hack/lib/log/stacktrace.sh:58: [[ -z "${errexit_set}" ]]'
+++ local 'filename=/home/centos/origin/hack/lib/log/stacktrace.sh:58: [[ -z "${errexit_set}" ]]'
+++ local directory
++++ dirname '/home/centos/origin/hack/lib/log/stacktrace.sh:58: [[ -z "${errexit_set}" ]]'
+++ directory=/home/centos/origin/hack/lib/log
++++ basename '/home/centos/origin/hack/lib/log/stacktrace.sh:58: [[ -z "${errexit_set}" ]]'
+++ filename='stacktrace.sh:58: [[ -z "${errexit_set}" ]]'
+++ [[ /home/centos/origin/hack/lib/log != \/\h\o\m\e\/\c\e\n\t\o\s\/\o\r\i\g\i\n* ]]
+++ directory=hack/lib/log
+++ echo 'hack/lib/log/stacktrace.sh:58: [[ -z "${errexit_set}" ]]'
++ os::log::debug 'hack/lib/log/stacktrace.sh:58: [[ -z "${errexit_set}" ]]'
++ local message
++++ date +%H:%M:%S%z
+++ os::log::internal::prefix_lines '[DEBUG] [17:44:34+0000]' 'hack/lib/log/stacktrace.sh:58: [[ -z "${errexit_set}" ]]'
+++ local 'prefix=[DEBUG] [17:44:34+0000]'
+++ local 'content=hack/lib/log/stacktrace.sh:58: [[ -z "${errexit_set}" ]]'
+++ local 'old_ifs=
'
+++ IFS='
'
+++ for line in '${content}'
+++ echo '[DEBUG] [17:44:34+0000] hack/lib/log/stacktrace.sh:58: [[ -z "${errexit_set}" ]]'
+++ IFS='
'
++ message='[DEBUG] [17:44:34+0000] hack/lib/log/stacktrace.sh:58: [[ -z "${errexit_set}" ]]'
++ os::log::internal::to_logfile '[DEBUG] [17:44:34+0000] hack/lib/log/stacktrace.sh:58: [[ -z "${errexit_set}" ]]'
++ [[ -n /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ [[ -d /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ echo '[DEBUG] [17:44:34+0000] hack/lib/log/stacktrace.sh:58: [[ -z "${errexit_set}" ]]'
++ [[ -n '' ]]
++ (( i = 0 ))
++ (( i < 3 ))
+++ os::util::repository_relative_path /home/centos/origin/hack/lib/util/trap.sh
+++ local filename=/home/centos/origin/hack/lib/util/trap.sh
+++ local directory
++++ dirname /home/centos/origin/hack/lib/util/trap.sh
+++ directory=/home/centos/origin/hack/lib/util
++++ basename /home/centos/origin/hack/lib/util/trap.sh
+++ filename=trap.sh
+++ [[ /home/centos/origin/hack/lib/util != \/\h\o\m\e\/\c\e\n\t\o\s\/\o\r\i\g\i\n* ]]
+++ directory=hack/lib/util
+++ echo hack/lib/util/trap.sh
++ os::log::debug 'hack/lib/util/trap.sh:65: os::log::stacktrace::print'
++ local message
++++ date +%H:%M:%S%z
+++ os::log::internal::prefix_lines '[DEBUG] [17:44:34+0000]' 'hack/lib/util/trap.sh:65: os::log::stacktrace::print'
+++ local 'prefix=[DEBUG] [17:44:34+0000]'
+++ local 'content=hack/lib/util/trap.sh:65: os::log::stacktrace::print'
+++ local 'old_ifs=
'
+++ IFS='
'
+++ for line in '${content}'
+++ echo '[DEBUG] [17:44:34+0000] hack/lib/util/trap.sh:65: os::log::stacktrace::print'
+++ IFS='
'
++ message='[DEBUG] [17:44:34+0000] hack/lib/util/trap.sh:65: os::log::stacktrace::print'
++ os::log::internal::to_logfile '[DEBUG] [17:44:34+0000] hack/lib/util/trap.sh:65: os::log::stacktrace::print'
++ [[ -n /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ [[ -d /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ echo '[DEBUG] [17:44:34+0000] hack/lib/util/trap.sh:65: os::log::stacktrace::print'
++ [[ -n '' ]]
++ (( i++  ))
++ (( i < 3 ))
+++ os::util::repository_relative_path hack/build-rpm-release.sh
+++ local filename=hack/build-rpm-release.sh
+++ local directory
++++ dirname hack/build-rpm-release.sh
+++ directory=hack
++++ basename hack/build-rpm-release.sh
+++ filename=build-rpm-release.sh
+++ [[ hack != \/\h\o\m\e\/\c\e\n\t\o\s\/\o\r\i\g\i\n* ]]
+++ pushd /home/centos/origin
++++ os::util::absolute_path hack
++++ local relative_path=hack
++++ local absolute_path
++++ pushd hack
+++++ pwd
++++ relative_path=/home/centos/origin/hack
++++ [[ -h /home/centos/origin/hack ]]
++++ absolute_path=/home/centos/origin/hack
++++ popd
++++ echo /home/centos/origin/hack
+++ directory=/home/centos/origin/hack
+++ popd
+++ directory=hack
+++ echo hack/build-rpm-release.sh
++ os::log::debug 'hack/build-rpm-release.sh:35: os::util::trap::err_handler'
++ local message
++++ date +%H:%M:%S%z
+++ os::log::internal::prefix_lines '[DEBUG] [17:44:34+0000]' 'hack/build-rpm-release.sh:35: os::util::trap::err_handler'
+++ local 'prefix=[DEBUG] [17:44:34+0000]'
+++ local 'content=hack/build-rpm-release.sh:35: os::util::trap::err_handler'
+++ local 'old_ifs=
'
+++ IFS='
'
+++ for line in '${content}'
+++ echo '[DEBUG] [17:44:34+0000] hack/build-rpm-release.sh:35: os::util::trap::err_handler'
+++ IFS='
'
++ message='[DEBUG] [17:44:34+0000] hack/build-rpm-release.sh:35: os::util::trap::err_handler'
++ os::log::internal::to_logfile '[DEBUG] [17:44:34+0000] hack/build-rpm-release.sh:35: os::util::trap::err_handler'
++ [[ -n /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ [[ -d /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ echo '[DEBUG] [17:44:34+0000] hack/build-rpm-release.sh:35: os::util::trap::err_handler'
++ [[ -n '' ]]
++ (( i++  ))
++ (( i < 3 ))
++++ os::util::repository_relative_path hack/build-rpm-release.sh
++++ local filename=hack/build-rpm-release.sh
++++ local directory
+++++ dirname hack/build-rpm-release.sh
++++ directory=hack
+++++ basename hack/build-rpm-release.sh
++++ filename=build-rpm-release.sh
++++ [[ hack != \/\h\o\m\e\/\c\e\n\t\o\s\/\o\r\i\g\i\n* ]]
++++ pushd /home/centos/origin
+++++ os::util::absolute_path hack
+++++ local relative_path=hack
+++++ local absolute_path
+++++ pushd hack
++++++ pwd
+++++ relative_path=/home/centos/origin/hack
+++++ [[ -h /home/centos/origin/hack ]]
+++++ absolute_path=/home/centos/origin/hack
+++++ popd
+++++ echo /home/centos/origin/hack
++++ directory=/home/centos/origin/hack
++++ popd
++++ directory=hack
++++ echo hack/build-rpm-release.sh
+++ os::util::repository_relative_path hack/build-rpm-release.sh
+++ local filename=hack/build-rpm-release.sh
+++ local directory
++++ dirname hack/build-rpm-release.sh
+++ directory=hack
++++ basename hack/build-rpm-release.sh
+++ filename=build-rpm-release.sh
+++ [[ hack != \/\h\o\m\e\/\c\e\n\t\o\s\/\o\r\i\g\i\n* ]]
+++ pushd /home/centos/origin
++++ os::util::absolute_path hack
++++ local relative_path=hack
++++ local absolute_path
++++ pushd hack
+++++ pwd
++++ relative_path=/home/centos/origin/hack
++++ [[ -h /home/centos/origin/hack ]]
++++ absolute_path=/home/centos/origin/hack
++++ popd
++++ echo /home/centos/origin/hack
+++ directory=/home/centos/origin/hack
+++ popd
+++ directory=hack
+++ echo hack/build-rpm-release.sh
++ os::log::debug 'hack/build-rpm-release.sh:0: main'
++ local message
++++ date +%H:%M:%S%z
+++ os::log::internal::prefix_lines '[DEBUG] [17:44:34+0000]' 'hack/build-rpm-release.sh:0: main'
+++ local 'prefix=[DEBUG] [17:44:34+0000]'
+++ local 'content=hack/build-rpm-release.sh:0: main'
+++ local 'old_ifs=
'
+++ IFS='
'
+++ for line in '${content}'
+++ echo '[DEBUG] [17:44:34+0000] hack/build-rpm-release.sh:0: main'
+++ IFS='
'
++ message='[DEBUG] [17:44:34+0000] hack/build-rpm-release.sh:0: main'
++ os::log::internal::to_logfile '[DEBUG] [17:44:34+0000] hack/build-rpm-release.sh:0: main'
++ [[ -n /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ [[ -d /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ echo '[DEBUG] [17:44:34+0000] hack/build-rpm-release.sh:0: main'
++ [[ -n '' ]]
++ (( i++  ))
++ (( i < 3 ))
++ local stack_begin_index
++ (( stack_begin_index = 0 ))
++ (( stack_begin_index < 3 ))
++ [[ ! /home/centos/origin/hack/lib/log/stacktrace.sh =~ hack/lib/(log/stacktrace|util/trap)\.sh ]]
++ (( stack_begin_index++  ))
++ (( stack_begin_index < 3 ))
++ [[ ! /home/centos/origin/hack/lib/util/trap.sh =~ hack/lib/(log/stacktrace|util/trap)\.sh ]]
++ (( stack_begin_index++  ))
++ (( stack_begin_index < 3 ))
++ [[ ! hack/build-rpm-release.sh =~ hack/lib/(log/stacktrace|util/trap)\.sh ]]
++ break
++ local preamble_finished
++ local stack_index=1
++ local i
++ (( i = stack_begin_index ))
++ (( i < 3 ))
++ local bash_source
+++ os::util::repository_relative_path hack/build-rpm-release.sh
+++ local filename=hack/build-rpm-release.sh
+++ local directory
++++ dirname hack/build-rpm-release.sh
+++ directory=hack
++++ basename hack/build-rpm-release.sh
+++ filename=build-rpm-release.sh
+++ [[ hack != \/\h\o\m\e\/\c\e\n\t\o\s\/\o\r\i\g\i\n* ]]
+++ pushd /home/centos/origin
++++ os::util::absolute_path hack
++++ local relative_path=hack
++++ local absolute_path
++++ pushd hack
+++++ pwd
++++ relative_path=/home/centos/origin/hack
++++ [[ -h /home/centos/origin/hack ]]
++++ absolute_path=/home/centos/origin/hack
++++ popd
++++ echo /home/centos/origin/hack
+++ directory=/home/centos/origin/hack
+++ popd
+++ directory=hack
+++ echo hack/build-rpm-release.sh
++ bash_source=hack/build-rpm-release.sh
++ [[ -z '' ]]
++ preamble_finished=true
++ os::log::error 'PID 9841: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"` exited with status 1.'
++ local message
++++ date +%H:%M:%S%z
+++ os::log::internal::prefix_lines '[ERROR] [17:44:34+0000]' 'PID 9841: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"` exited with status 1.'
+++ local 'prefix=[ERROR] [17:44:34+0000]'
+++ local 'content=PID 9841: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"` exited with status 1.'
+++ local 'old_ifs=
'
+++ IFS='
'
+++ for line in '${content}'
+++ echo '[ERROR] [17:44:34+0000] PID 9841: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"` exited with status 1.'
+++ IFS='
'
++ message='[ERROR] [17:44:34+0000] PID 9841: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"` exited with status 1.'
++ os::log::internal::to_logfile '[ERROR] [17:44:34+0000] PID 9841: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"` exited with status 1.'
++ [[ -n /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ [[ -d /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ echo '[ERROR] [17:44:34+0000] PID 9841: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"` exited with status 1.'
++ os::text::print_red '[ERROR] [17:44:34+0000] PID 9841: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"` exited with status 1.'
++ os::text::red
++ os::text::internal::is_tty
++ [[ -t 1 ]]
++ [[ -n xterm-256color ]]
++ tput setaf 1
++ echo '[ERROR] [17:44:34+0000] PID 9841: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"` exited with status 1.'
[ERROR] [17:44:34+0000] PID 9841: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define 'dist .el7'" --output="${tito_tmp_dir}"` exited with status 1.
++ os::text::reset
++ os::text::internal::is_tty
++ [[ -t 1 ]]
++ [[ -n xterm-256color ]]
++ tput sgr0
++ os::log::info ' Stack Trace: '
++ local message
++++ date +%H:%M:%S%z
+++ os::log::internal::prefix_lines '[INFO] [17:44:34+0000]' ' Stack Trace: '
+++ local 'prefix=[INFO] [17:44:34+0000]'
+++ local 'content= Stack Trace: '
+++ local 'old_ifs=
'
+++ IFS='
'
+++ for line in '${content}'
+++ echo '[INFO] [17:44:34+0000] Stack Trace: '
+++ IFS='
'
++ message='[INFO] [17:44:34+0000] Stack Trace: '
++ os::log::internal::to_logfile '[INFO] [17:44:34+0000] Stack Trace: '
++ [[ -n /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ [[ -d /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ echo '[INFO] [17:44:34+0000] Stack Trace: '
++ echo '[INFO] [17:44:34+0000] Stack Trace: '
[INFO] [17:44:34+0000] Stack Trace:
++ os::log::info '   1: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"`'
++ local message
++++ date +%H:%M:%S%z
+++ os::log::internal::prefix_lines '[INFO] [17:44:34+0000]' '   1: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"`'
+++ local 'prefix=[INFO] [17:44:34+0000]'
+++ local 'content=   1: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"`'
+++ local 'old_ifs=
'
+++ IFS='
'
+++ for line in '${content}'
+++ echo '[INFO] [17:44:34+0000]   1: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"`'
+++ IFS='
'
++ message='[INFO] [17:44:34+0000]   1: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"`'
++ os::log::internal::to_logfile '[INFO] [17:44:34+0000]   1: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"`'
++ [[ -n /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ [[ -d /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ echo '[INFO] [17:44:34+0000]   1: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"`'
++ echo '[INFO] [17:44:34+0000]   1: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define '\''dist .el7'\''" --output="${tito_tmp_dir}"`'
[INFO] [17:44:34+0000]   1: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define 'dist .el7'" --output="${tito_tmp_dir}"`
++ stack_index=2
++ (( i++  ))
++ (( i < 3 ))
++ os::log::info '  Exiting with code 1.'
++ local message
++++ date +%H:%M:%S%z
+++ os::log::internal::prefix_lines '[INFO] [17:44:34+0000]' '  Exiting with code 1.'
+++ local 'prefix=[INFO] [17:44:34+0000]'
+++ local 'content=  Exiting with code 1.'
+++ local 'old_ifs=
'
+++ IFS='
'
+++ for line in '${content}'
+++ echo '[INFO] [17:44:34+0000]   Exiting with code 1.'
+++ IFS='
'
++ message='[INFO] [17:44:34+0000]   Exiting with code 1.'
++ os::log::internal::to_logfile '[INFO] [17:44:34+0000]   Exiting with code 1.'
++ [[ -n /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ [[ -d /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
++ echo '[INFO] [17:44:34+0000]   Exiting with code 1.'
++ echo '[INFO] [17:44:34+0000]   Exiting with code 1.'
[INFO] [17:44:34+0000]   Exiting with code 1.
++ exit 1
+ cleanup
+ return_code=1
+ os::util::describe_return_code 1
+ local return_code=1
++ os::util::repository_relative_path hack/build-rpm-release.sh
++ local filename=hack/build-rpm-release.sh
++ local directory
+++ dirname hack/build-rpm-release.sh
++ directory=hack
+++ basename hack/build-rpm-release.sh
++ filename=build-rpm-release.sh
++ [[ hack != \/\h\o\m\e\/\c\e\n\t\o\s\/\o\r\i\g\i\n* ]]
++ pushd /home/centos/origin
+++ os::util::absolute_path hack
+++ local relative_path=hack
+++ local absolute_path
+++ pushd hack
++++ pwd
+++ relative_path=/home/centos/origin/hack
+++ [[ -h /home/centos/origin/hack ]]
+++ absolute_path=/home/centos/origin/hack
+++ popd
+++ echo /home/centos/origin/hack
++ directory=/home/centos/origin/hack
++ popd
++ directory=hack
++ echo hack/build-rpm-release.sh
+ local 'message=hack/build-rpm-release.sh exited with code 1 '
+ [[ -n 1525455867 ]]
+ local end_time
++ date +%s
+ end_time=1525455874
+ local elapsed_time
+ elapsed_time=7
+ local formatted_time
++ os::util::format_seconds 7
++ local raw_seconds=7
++ local hours minutes seconds
++ ((  hours=raw_seconds/3600  ))
++ ((  minutes=(raw_seconds%3600)/60  ))
++ ((  seconds=raw_seconds%60  ))
++ printf '%02dh %02dm %02ds' 0 0 7
+ formatted_time='00h 00m 07s'
+ message+='after 00h 00m 07s'
+ [[ 1 = \0 ]]
+ os::log::error 'hack/build-rpm-release.sh exited with code 1 after 00h 00m 07s'
+ local message
+++ date +%H:%M:%S%z
++ os::log::internal::prefix_lines '[ERROR] [17:44:34+0000]' 'hack/build-rpm-release.sh exited with code 1 after 00h 00m 07s'
++ local 'prefix=[ERROR] [17:44:34+0000]'
++ local 'content=hack/build-rpm-release.sh exited with code 1 after 00h 00m 07s'
++ local 'old_ifs=
'
++ IFS='
'
++ for line in '${content}'
++ echo '[ERROR] [17:44:34+0000] hack/build-rpm-release.sh exited with code 1 after 00h 00m 07s'
++ IFS='
'
+ message='[ERROR] [17:44:34+0000] hack/build-rpm-release.sh exited with code 1 after 00h 00m 07s'
+ os::log::internal::to_logfile '[ERROR] [17:44:34+0000] hack/build-rpm-release.sh exited with code 1 after 00h 00m 07s'
+ [[ -n /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
+ [[ -d /home/centos/origin/_output/scripts/build-rpm-release/logs ]]
+ echo '[ERROR] [17:44:34+0000] hack/build-rpm-release.sh exited with code 1 after 00h 00m 07s'
+ os::text::print_red '[ERROR] [17:44:34+0000] hack/build-rpm-release.sh exited with code 1 after 00h 00m 07s'
+ os::text::red
+ os::text::internal::is_tty
+ [[ -t 1 ]]
+ [[ -n xterm-256color ]]
+ tput setaf 1
+ echo '[ERROR] [17:44:34+0000] hack/build-rpm-release.sh exited with code 1 after 00h 00m 07s'
[ERROR] [17:44:34+0000] hack/build-rpm-release.sh exited with code 1 after 00h 00m 07s
+ os::text::reset
+ os::text::internal::is_tty
+ [[ -t 1 ]]
+ [[ -n xterm-256color ]]
+ tput sgr0
+ exit 1
make: *** [build-rpms] Error 1


--
Mateus Caruccio / Master of Puppets
GetupCloud.com 
We make the infrastructure invisible
Gartner Cool Vendor 2017

2018-05-04 14:20 GMT-03:00 Clayton Coleman <ccoleman redhat com>:
It looks like it is trying to push tags, maybe that is failing.  You may need to add -x to hack/build-rpms.sh

On May 4, 2018, at 10:30 AM, Mateus Caruccio <mateus caruccio getupcloud com> wrote:

Hi there.

I'm having a hard time trying to build RPMs for 3.7.x
What am I missing here?
Thanks.

[centos ~]$ cat /etc/centos-release
CentOS Linux release 7.4.1708 (Core)

[centos ~]$ rpm -q tito
tito-0.6.11-1.el7.noarch


[centos ~]$ cd origin

[centos origin]$ git checkout -b fix-3.7 remotes/origin/release-3.7


[centos origin]$ git cherry-pick 3cb1da1445729ffb0b008dbb50c9a59ddb0b1746

[centosorigin]$ git tag v3.7.3-fix

[centosorigin]$ sudo make build-rpms
OS_ONLY_BUILD_PLATFORMS='linux/amd64' hack/build-rpm-release.sh
[INFO] [14:21:46+0000] Building Origin release RPMs with tito...
Creating output directory: /tmp/tito
OS_GIT_MINOR::7+
OS_GIT_MAJOR::3
OS_GIT_VERSION::v3.7.3-fix+325ae5d
OS_GIT_TREE_STATE::clean
OS_GIT_CATALOG_VERSION::v0.1.2
OS_GIT_COMMIT::325ae5d
Tagging new version of origin: 0.0.1 -> 3.7.3-0.fix.0.325ae5d

Created tag: v3.7.3
   View: git show HEAD
   Undo: tito tag -u
   Push: git push --follow-tags origin
Creating output directory: /tmp/openshift/build-rpm-release/tito
ERROR: Tag does not exist locally: [v3.7.3-0.fix.0.325ae5d]
[ERROR] [14:21:52+0000] PID 1619: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define 'dist .el7'" --output="${tito_tmp_dir}"` exited with status 1.
[INFO] [14:21:52+0000] Stack Trace:
[INFO] [14:21:52+0000]   1: hack/build-rpm-release.sh:35: `tito build --offline --srpm --rpmbuild-options="--define 'dist .el7'" --output="${tito_tmp_dir}"`
[INFO] [14:21:52+0000]   Exiting with code 1.
[ERROR] [14:21:52+0000] hack/build-rpm-release.sh exited with code 1 after 00h 00m 06s
make: *** [build-rpms] Error 1


--
Mateus Caruccio / Master of Puppets
We make the infrastructure invisible
Gartner Cool Vendor 2017
_______________________________________________
dev mailing list
dev lists openshift redhat com
http://lists.openshift.redhat.com/openshiftmm/listinfo/dev


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]